petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscFunctionBegin

First executable line of each PETSc function, used for error handling. Final line of PETSc functions should be PetscFunctionReturn(0);

### Synopsis

    #include <petscsys.h>
    void PetscFunctionBegin;

Not Collective

### Usage

         int something;

         PetscFunctionBegin;

### Notes

Use PetscFunctionBeginUser for Section 1.5 Writing Application Codes with PETSc codes.

Not available in Fortran

### See Also

PetscFunctionReturn(), PetscFunctionBeginHot(), PetscFunctionBeginUser()

### Level

developer

### Location

src/sys/error/../../../include/petscerror.h

### Examples

src/sys/classes/random/tutorials/ex2.c.html
src/vec/vec/utils/tagger/tutorials/ex1.c.html
src/vec/vec/tutorials/ex19.c.html
src/mat/tutorials/ex8.c.html
src/mat/tutorials/ex12.c.html
src/dm/impls/plex/tutorials/ex6.c.html
src/dm/impls/plex/tutorials/ex9.c.html
src/dm/tutorials/ex20.c.html
src/dm/label/tutorials/ex1.c.html
src/dm/field/tutorials/ex1.c.html
src/ksp/pc/tutorials/ex2.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages